---
title: Créer un blog avec Dotclear #16 Contenu du menu du blog (widgets)
date: 2016-06-24 01:21
layout: post
---

Le menu du blog (*sidebar* en anglais) est entièrement modifiable. Son
contenu est constitué de différents modules appelés « widgets », qui
permettent d'organiser le menu du blog.

Depuis l'interface d'administration, choisissez dans le menu latéral le
lien **Widgets de présentation**.

Le panneau qui se présente alors contient trois colonnes : la première
colonne liste tous les éléments (widgets) pouvant être placés dans le
menu du blog. La deuxième colonne accueille les modules pour le bandeau
de navigation et la dernière le bandeau d’extra.

 

<div class="wikinote noteclassic">

**Note :**

De nombreuses extensions créent un widget correspondant. Ils
apparaîtront à la fin de la colonne des widgets disponibles.

</div>

<!--more-->

Bandeau de navigation, bandeau d'extra {#bandeau-de-navigation-bandeau-d-extra .sectionedit2}
--------------------------------------

<div class="level2">

Sur le thème par défaut le menu se présente en une seule colonne
latérale. Dans ce cas, cette colonne est composée du bandeau de
navigation puis du bandeau d'extra. Dans certaines mises en page le
designer a choisi de les séparer par exemple pour un thème en une
colonne pour les billets et deux colonnes pour le menu ou une colonne
latérale et un bloc en bas de page ou toute autre formule. Le découpage
du menu en deux sous-ensemble (les bandeaux donc) permet cette
séparation.

</div>

Les widgets par défaut {#les-widgets-par-defaut .sectionedit3}
----------------------

<div class="level2">

Tant qu'ils n'ont pas été personnalisés, les bandeaux ont un contenu par
défaut.

Le **bandeau de navigation** contient les modules Recherche, Liens de
navigation, Billets sélectionnés, Catégories.

Le **bandeau d'extra** contient le widget Liens d'abonnement.

</div>

Ajouter/Supprimer un widget {#ajoutersupprimer-un-widget .sectionedit4}
---------------------------

<div class="level2">

Pour ajouter un widget, il suffit de glisser/déposer le module de la
première colonne vers la deuxième ou troisième colonne. Pour enregistrer
la modification, cliquer sur **Mettre à jour les bandeaux**.

<div class="wikinote noteclassic">

**Note :**

Si javascript est désactivé dans votre navigateur, vous pouvez utiliser
les petits menus déroulants de chaque module pour indiquer sa
destination.

</div>

Pour supprimer un widget, faites-le glisser hors de son bandeau
d'accueil, puis validez ce changement en cliquant sur **Mettre à jour
les bandeaux**.

De la même façon vous pouvez déplacer un widget entre la deuxième et la
troisième colonne sans perdre son éventuel paramétrage. Il vous suffit
de le faire glisser là où vous souhaitez l'insérer. Pensez à valider ce
changement en cliquant sur **Mettre à jour les bandeaux**.

Si vous souhaitez revenir aux widgets par défaut, cliquez simplement sur
**Réinitialiser les bandeaux**.

</div>

Paramétrage des widgets {#parametrage-des-widgets .sectionedit5}
-----------------------

<div class="level2">

La plupart des widgets ont des paramètres modifiables comme le nom
affiché sur le blog (ex : Recherche) ou le choix de l'affichage du
widget sur toutes les pages ou à l'accueil seulement.

Pour accéder à ces paramétrages, placez le widget dans un bandeau et
cliquez sur le bouton « Plus » afin d'accéder aux options du widget.
N'oubliez pas de valider en appuyant sur **Mettre à jour les bandeaux**
pour que votre personnalisation soit prise en compte.

</div>

### Le cas du widget texte {#le-cas-du-widget-texte .sectionedit6}

<div class="level3">

Le widget « texte » permet d'insérer dans les bandeaux tout layout de
contenu texte ou xhtml ou script. Après avoir glissé le widget dans son
bandeau d'accueil, cliquez sur le le bouton « Plus » et remplissez le
champ qui s'ouvre alors.

<p>
[Voir en
ligne.](https://fr.dotclear.org/documentation/2.0/usage/widgets)

</div>
